Package org.eclipse.emf.cdo.server.spi.security

# Class AnnotationHandler

java.lang.Object
org.eclipse.emf.cdo.server.spi.security.AnnotationHandler

All Implemented Interfaces:
  `InternalSecurityManager.CommitHandler`

public class AnnotationHandler extends Object implements InternalSecurityManager.CommitHandler
If the meaning of this type isn't clear, there really should be more of a description here...

Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`AnnotationHandler.Factory`
Creates `AnnotationHandler` instances.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DELIMITERS`
`static final String`
`READ_KEY`
`static final String`
`SOURCE_URI`
`static final String`
`WRITE_KEY`

## Constructor Summary

Constructors
Constructor
Description
`AnnotationHandler()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`handleClassPermission(Realm realm, EClass eClass, String key, Access access)`
`void`
`handleCommit(InternalSecurityManager securityManager, IStoreAccessor.CommitContext commitContext, User user)`
Called before the commit is security checked and passed to the repository.
`protected void`
`handlePackage(Realm realm, EPackage ePackage)`
`protected void`
`handlePackagePermission(Realm realm, EPackage ePackage, String key, Access access)`
`protected void`
`handlePackageUnits(InternalSecurityManager securityManager, CDOPackageUnit[] packageUnits)`
`protected void`
`handlePermission(Realm realm, EModelElement modelElement, String key, Access access, EClass filterClass, EReference filterFeature)`
`void`
`init(InternalSecurityManager securityManager, boolean firstTime)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### SOURCE_URI

public static final String SOURCE_URI

See Also:
  - Constant Field Values

### READ_KEY

public static final String READ_KEY

See Also:
  - Constant Field Values

### WRITE_KEY

public static final String WRITE_KEY

See Also:
  - Constant Field Values

### DELIMITERS

public static final String DELIMITERS

See Also:
  - Constant Field Values

## Constructor Details

### AnnotationHandler

public AnnotationHandler()

## Method Details

### init

public void init(InternalSecurityManager securityManager, boolean firstTime)

Specified by:
  `init` in interface `InternalSecurityManager.CommitHandler`

### handleCommit

public void handleCommit(InternalSecurityManager securityManager, IStoreAccessor.CommitContext commitContext, User user)
Description copied from interface: `InternalSecurityManager.CommitHandler`
Called before the commit is security checked and passed to the repository.

Specified by:
  `handleCommit` in interface `InternalSecurityManager.CommitHandler`
Parameters:
  `user` - the committing user or `null` if this commit is `triggered` by the system.
See Also:
  - `InternalSecurityManager.CommitHandler2`

### handlePackageUnits

protected void handlePackageUnits(InternalSecurityManager securityManager, CDOPackageUnit[] packageUnits)

### handlePackage

protected void handlePackage(Realm realm, EPackage ePackage)

### handlePackagePermission

protected void handlePackagePermission(Realm realm, EPackage ePackage, String key, Access access)

### handleClassPermission

protected void handleClassPermission(Realm realm, EClass eClass, String key, Access access)

### handlePermission

protected void handlePermission(Realm realm, EModelElement modelElement, String key, Access access, EClass filterClass, EReference filterFeature)

### toString

public String toString()

Overrides:
  `toString` in class `Object`